Subject: Re: fetch <repo> <branch>:<branch> fetches tags?

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Jan 2008 18:47:51 -0800

Brandon Casey <[email-masked]> writes:

> I expect these to fetch tags automatically (and they do):
>
>    git fetch
>    git pull
>    git fetch <repo>
>    git pull <repo>
>
> I expect these to _not_ fetch tags (and they don't):
>
>    git fetch <repo> <branch>
>    git pull <repo> <branch>
>
> But, I did not expect these to fetch tags:
>
>    git fetch <repo> <branch>:<branch>
>    git pull <repo> <branch>:<branch>

Sigh... that matches my expectation.

Did we break it when we overhauled "git fetch", or was this an
independent "improvement" that happened long before that?